# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`crypto_policies`](#crypto_policies): Manage system-wide crypto policies
* [`crypto_policies::config`](#crypto_policies--config): Manage the crypto-policies configuration

#### Private Classes

* `crypto_policies::install`: Manage crypto-policies installation

### Data types

* [`Crypto_policies::Policy`](#Crypto_policies--Policy)

## Classes

### <a name="crypto_policies"></a>`crypto_policies`

This class manages the system-wide crypto policies on the Red Hat
operating system family. This will configure policies for which
cryptographic algorithms to use in various parts of the operating
system. See man:crypto-policies(7) for more information.

#### Examples

##### default

```puppet
include crypto_policies
```

##### with a policy module

```puppet
class { 'crypto_policies':
  policy => 'DEFAULT:NO-SHA1',
}
```

#### Parameters

The following parameters are available in the `crypto_policies` class:

* [`policy`](#-crypto_policies--policy)
* [`config_file`](#-crypto_policies--config_file)
* [`packages`](#-crypto_policies--packages)

##### <a name="-crypto_policies--policy"></a>`policy`

Data type: `Crypto_policies::Policy`

Which system crypto policy to use

Default value: `'DEFAULT'`

##### <a name="-crypto_policies--config_file"></a>`config_file`

Data type: `Stdlib::Absolutepath`

Which configuration file to manage

Default value: `'/etc/crypto-policies/config'`

##### <a name="-crypto_policies--packages"></a>`packages`

Data type: `Array[String]`

Packages required for crypto-policies

Default value: `['crypto-policies']`

### <a name="crypto_policies--config"></a>`crypto_policies::config`

Manage /etc/crypto-policies/config, and run update-crypto-policies if it changes

#### Examples

##### 

```puppet
include crypto_policies::config
```

#### Parameters

The following parameters are available in the `crypto_policies::config` class:

* [`config_file`](#-crypto_policies--config--config_file)
* [`policy`](#-crypto_policies--config--policy)

##### <a name="-crypto_policies--config--config_file"></a>`config_file`

Data type: `Stdlib::Absolutepath`



Default value: `'/etc/crypto-policies/config'`

##### <a name="-crypto_policies--config--policy"></a>`policy`

Data type: `Crypto_policies::Policy`



Default value: `'DEFAULT'`

## Data types

### <a name="Crypto_policies--Policy"></a>`Crypto_policies::Policy`

The Crypto_policies::Policy data type.

Alias of

```puppet
Pattern[/(?x:
  \A
  [A-Z0-9_-]+     # Policy name
  (:[A-Z0-9_-]+)* # Zero or more policy modules, colon separated
  \z
  )/]
```

